
Base Distribution - Task # 45587

Work Package # 45020 (Closed): Content Editing Stability and Features
Story # 45434 (Closed): As a content editor I want to be able to edit normal content

Status: Closed Priority: Should have
Author: Sebastian Kurfuerst Category: Content Editing
Created: 2013-02-18 Assigned To: Sebastian Kurfuerst
Updated: 2014-11-02 Due date:
Subject: Re-enable Aloha
Description

We want aloha to work again; and we want to include a minified and properly built version.

Subtasks:
Task # 49928: Aloha table options inspector stays Closed

Associated revisions
Revision 03897fd4 - 2013-05-16 17:42 - Sebastian Kurfuerst

[!!!][TASK] Update aloha to a recently built version

Breaking if you have a custom PageHead.html

Resolves: #45587
Change-Id: I87d214be952c4996cfef344d60ebbcb51c3e72e4

Revision 1f38df0e - 2013-05-16 17:47 - Sebastian Kurfuerst

[FEATURE] Consistently use private JS libraries and Aloha

Resolves: #45587
Change-Id: I2dd8fd2e24398562d43513e3c14afea5dc5116ed

Revision 8939d51b - 2013-07-05 17:36 - Aske Ertmann

[TASK] Enable super- and subscript in Aloha toolbar

Change-Id: I017f5b81ccc6a9fea605c75719c5c9f43746d91f
Related: #45587
Reviewed-on: https://review.typo3.org/21955
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Berit Hlubek
Tested-by: Berit Hlubek

Revision 16ff7adf - 2013-07-13 13:15 - Rens Admiraal

[BUGFIX] Aloha blockformat selector not updating correctly
https://review.typo3.org/21955


Change-Id: I57f0da4ea886b99724c1b5cb4a85a79d94a08862
Related: #45587
Reviewed-on: https://review.typo3.org/22113
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek
Reviewed-by: Adrian Föder
Tested-by: Adrian Föder
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

History
#1 - 2013-02-18 23:31 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18366

#2 - 2013-02-18 23:32 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18367

#3 - 2013-02-18 23:33 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18368

#4 - 2013-02-18 23:34 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review

#5 - 2013-02-22 17:03 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18368

#6 - 2013-02-26 16:14 - Aske Ertmann
- % Done changed from 0 to 30

#7 - 2013-03-11 17:23 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18367

#8 - 2013-03-11 17:24 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18368
#9 - 2013-05-15 15:56 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18366

#10 - 2013-05-15 15:58 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18368

#11 - 2013-05-15 15:59 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18366

#12 - 2013-05-15 16:06 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18367

#13 - 2013-05-15 16:23 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18367

#14 - 2013-05-15 16:52 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18366

#15 - 2013-05-15 19:25 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18367

#16 - 2013-05-16 01:06 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18367

#17 - 2013-05-16 01:42 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18367
#18 - 2013-05-16 02:43 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18367

#19 - 2013-05-16 15:46 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18367

#20 - 2013-05-16 17:26 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18367

#21 - 2013-05-16 17:32 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18366

#22 - 2013-05-16 17:32 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18368

#23 - 2013-05-16 17:33 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18368

#24 - 2013-05-16 17:42 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18368

#25 - 2013-05-16 17:47 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18367

#26 - 2013-05-16 18:35 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 30 to 100
Applied in changeset commit:1f38df0eb5e5c680e65403a27ec71379318f0649.

#27 - 2014-11-02 18:21 - Aske Ertmann
- Status changed from Resolved to Closed
- Estimated time set to 0.00
